{% extends "admin/base.html" %}

{% block content %}

<div class="content container-fluid">
					<div class="row">
						<div class="col-sm-4 col-xs-3">
							<h4 class="page-title">Users</h4>
						</div>
						<div class="col-sm-8 col-xs-9 text-right m-b-20">
						{% if current_user.role.permissions.create_user == True %}<a href="#" class="btn btn-primary rounded pull-right" data-toggle="modal" data-target="#add_client"><i class="fa fa-plus"></i> Add User</a>{% endif %}
						</div>
					</div>
					<div class="row" >
						<div class="col-md-12">
							<div class="table-responsive" id="table-row">
                <table class="table table-striped custom-table datatable">
                  <thead>
                    <tr>
                      <th>User name</th>
                      <th>User ID</th>
											<th>User role</th>
                      <th>Email</th>
                      <th>Mobile</th>
											<th>Last seen</th>
											<th>status</th>
                      <th class="text-right">Action</th>
                    </tr>
                  </thead>
                  <tbody>
										{% for user in users %}
                    <tr id="del{{ user.id }}">
                      <td>
                        <a {% if current_user.role.permissions.read_user == True %} href="{{ url_for('main.view_user', id=user.id) }}" {% endif %} class="avatar">{{ user.username.split()[0][0] }}</a>
                        <h2><a {% if current_user.role.permissions.read_user == True %} href="{{ url_for('main.view_user', id=user.id) }}" {% endif %}>{{ user.username }}</a></h2>
                      </td>
                      <td>{{ user.id }}</td>
                      <td>{{ user.role.role }}</td>
                      <td>{{ user.email}}</td>
                      <td>{{ user.phone_number }}</td>
											<td>{{ moment(user.last_seen).fromNow() }}</td>
											<td>
						             {% if user.status == False %}
						              <span class="label label-danger-border">Inactive</span>
						             {% elif user.status == True %}
						              <span class="label label-success-border">Active</span>
						            {% endif %}
						            {% if current_user.role.permissions.write_user == True %}
						            <div class="dropdown action-label">
						              <a class="btn btn-white btn-sm rounded dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-dot-circle-o text-{% if user.status == False %}success{%else%}danger{%endif%}"></i>{% if user.status == False %} Activate{%else%}Deactivate{%endif%} <i class="caret"></i></a>
						              <ul class="dropdown-menu">
														{% if user.status != True %}
						              <li><a class="app" href="{{ url_for('main.activate', user_id=user.id) }}"><i class="fa fa-dot-circle-o text-success"></i>Activate </a></li>
														{%else%}
						                <li><a class="rej" href="{{ url_for('main.deactivate', user_id=user.id) }}"><i class="fa fa-dot-circle-o text-danger"></i> Deactivate</a></li>
														{%endif%}
						              </ul>
						            </div>
						            {% endif %}
						          </td>
                      <td class="text-right">
                        <div class="dropdown">
                          <a href="#" class="action-icon dropdown-toggle" data-toggle="dropdown" aria-expanded="false"><i class="fa fa-ellipsis-v"></i></a>
                          <ul class="dropdown-menu pull-right">
                            {% if current_user.role.permissions.write_user == True %}<li><a href="{{ url_for('main.edit_user', id=user.id)}}"><i class="fa fa-pencil m-r-5"></i> Edit</a></li>{% endif %}
														{% if current_user.role.permissions.read_user == True %}<li><a href="{{ url_for('main.view_user', id=user.id)}}"><i class="fa fa-eye m-r-5"></i> view </a></li>{% endif %}
                            {% if current_user.role.permissions.delete_user == True %}<li><a href="#" onclick="delete_row('{{ user.id }}','User', '#del{{ user.id }}')"><i class="fa fa-trash-o m-r-5"></i> Delete</a></li>{% endif %}
                          </ul>
                        </div>
                      </td>
                    </tr>
											{% endfor %}
                  </tbody>
                </table>
							</div>
						</div>
					</div>
                </div>
								<div id="add_client" class="modal custom-modal fade" role="dialog">
												<div class="modal-dialog">
													<button type="button" class="close" data-dismiss="modal">&times;</button>
													<div class="modal-content modal-lg">
														<div class="modal-header">
															<h4 class="modal-title">Add User</h4>
														</div>
														<div class="modal-body">
															<div class="m-b-30">
																<form class="add_form" method="post" action="" novalidate>
																	{{ form.hidden_tag() }}
																	<div class="row">
																		<div class="col-md-6">
																			<div class="form-group">
																				<label class="control-label">Username <span class="text-danger">*</span></label>
																				{{ form.username(class="form-control") }}
																				{% for error in form.username.errors %}
										                    <span style="color: red;">{{ error }}</span>
										                    {% endfor %}
																			</div>
																		</div>
																		<div class="col-md-6">
																			<div class="form-group">
																				<label class="control-label">Role <span class="text-danger">*</span></label>
																				{{ form.role(class="form-control") }}
																				{% for error in form.role.errors %}
										                    <span style="color: red;">{{ error }}</span>
										                    {% endfor %}
																			</div>
																		</div>
																		<div class="col-md-6">
																			<div class="form-group">
																				<label class="control-label">Phone Number</label>
																				{{ form.phone_number(class="form-control") }}
																				{% for error in form.phone_number.errors %}
										                    <span style="color: red;">{{ error }}</span>
										                    {% endfor %}
																			</div>
																		</div>
								                    <div class="col-md-6">
																			<div class="form-group">
																				<label class="control-label">Email</label>
																				{{ form.email(class="form-control") }}
																				{% for error in form.email.errors %}
										                    <span style="color: red;">{{ error }}</span>
										                    {% endfor %}
																			</div>
																		</div>
																		<div class="col-md-6">
																			<div class="form-group">
																				<label class="control-label">Password</label>
																				{{ form.password(class="form-control") }}
																				{% for error in form.password.errors %}
										                    <span style="color: red;">{{ error }}</span>
										                    {% endfor %}
																			</div>
																		</div>
																		<div class="col-md-6">
																			<div class="form-group">
																				<label class="control-label">Confirm Password</label>
																				{{ form.password2(class="form-control") }}
																				{% for error in form.password2.errors %}
										                    <span style="color: red;">{{ error }}</span>
										                    {% endfor %}
																			</div>
																		</div>
																	</div>

																	<div class="m-t-20 text-center">
																		{{ form.submit(class="btn btn-primary") }}
																	</div>
																</form>
															</div>
														</div>
													</div>
												</div>
											</div>
{% endblock %}
{% block scripts %}
  {{ super() }}
  <script>
  function edit_user(id) {
		$.ajax({
	          type 		: 'GET',
	          url 		: '/admin/edit_user/'+id,
	          dataType 	: 'json',
	          encode 		: true
	        }).done(function(response) {
							if(response['status'] == 1)
										$("#edit-form").attr("action", "/admin/edit_user/" + id);
										$('input[name="username"]').val(response.data.username)
	                  $('input[name="phone_number"]').val(response.data.phone_number)
										$('input[name="role"]').val(response.data.role).change();
										$('input[name="email"]').val(response.data.email)
		}).fail(function() {
			alertify.error('Error: Could not contact server.');
		});

      }

  </script>
{% endblock %}
